package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-09 13:39:59
 */
public class GroupChatDataOverviewVO implements Serializable {

    private static final long serialVersionUID = 8755443030113022176L;

    /**
     * 活动id
     */
    private String chatActivityId;

    /**
     * 分享人数
     */
    private Integer shareNum;

    /**
     * 参与人数
     */
    private Integer inviterNum;

    /**
     * 邀请进群人数
     */
    private Integer inviteeNum;

    /**
     * 有效邀请人数
     */
    private Integer effectiveInviteeNum;

    /**
     * 入群客户数
     */
    private Integer inviteeMemberNum;

    /**
     * 入群游客数
     */
    private Integer inviteeNonMemberNum;

    /**
     * 新增会员数
     */
    private Integer newMemberNum;

    /**
     * 发放积分数
     */
    private Integer integralCnt;

    /**
     * 发放成长值数
     */
    private Integer growCnt;

    /**
     * 发放卡券数
     */
    private Integer cardCnt;

    public String getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(String chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public Integer getShareNum() {
        return shareNum;
    }

    public void setShareNum(Integer shareNum) {
        this.shareNum = shareNum;
    }

    public Integer getInviterNum() {
        return inviterNum;
    }

    public void setInviterNum(Integer inviterNum) {
        this.inviterNum = inviterNum;
    }

    public Integer getInviteeNum() {
        return inviteeNum;
    }

    public void setInviteeNum(Integer inviteeNum) {
        this.inviteeNum = inviteeNum;
    }

    public Integer getEffectiveInviteeNum() {
        return effectiveInviteeNum;
    }

    public void setEffectiveInviteeNum(Integer effectiveInviteeNum) {
        this.effectiveInviteeNum = effectiveInviteeNum;
    }

    public Integer getInviteeMemberNum() {
        return inviteeMemberNum;
    }

    public void setInviteeMemberNum(Integer inviteeMemberNum) {
        this.inviteeMemberNum = inviteeMemberNum;
    }

    public Integer getInviteeNonMemberNum() {
        return inviteeNonMemberNum;
    }

    public void setInviteeNonMemberNum(Integer inviteeNonMemberNum) {
        this.inviteeNonMemberNum = inviteeNonMemberNum;
    }

    public Integer getNewMemberNum() {
        return newMemberNum;
    }

    public void setNewMemberNum(Integer newMemberNum) {
        this.newMemberNum = newMemberNum;
    }

    public Integer getIntegralCnt() {
        return integralCnt;
    }

    public void setIntegralCnt(Integer integralCnt) {
        this.integralCnt = integralCnt;
    }

    public Integer getGrowCnt() {
        return growCnt;
    }

    public void setGrowCnt(Integer growCnt) {
        this.growCnt = growCnt;
    }

    public Integer getCardCnt() {
        return cardCnt;
    }

    public void setCardCnt(Integer cardCnt) {
        this.cardCnt = cardCnt;
    }
}
